## timecube-dmo 3.1

=== Makefile ===
MY_CFLAGS := -O2 -fPIC $(CFLAGS)
MY_CXXFLAGS := -std=c++14 -O2 -fPIC $(CXXFLAGS)
MY_CPPFLAGS := -Itimecube -Ivsxx $(CPPFLAGS)
MY_LDFLAGS := $(LDFLAGS)
MY_LIBS := $(LIBS)

timecube_HDRS = \
	timecube/cube.h \
	timecube/lut.h \
	timecube/timecube.h \
	timecube/x86/lut_x86.h

timecube_OBJS = \
	timecube/cube.o \
	timecube/lut.o \
	timecube/timecube.o \
	timecube/x86/lut_avx2.o \
	timecube/x86/lut_avx512.o \
	timecube/x86/lut_sse41.o \
	timecube/x86/lut_x86.o

vsxx_HDRS = \
	vsxx/VapourSynth.h \
	vsxx/VapourSynth++.hpp \
	vsxx/VSHelper.h \
	vsxx/VSScript.h \
	vsxx/vsxx_pluginmain.h

ifeq ($(X86), 1)
  timecube/x86/lut_avx2.o: EXTRA_CXXFLAGS := -mf16c -mavx2 -mfma -march=haswell
  timecube/x86/lut_sse41.o: EXTRA_CXXFLAGS := -msse4.1
  timecube/x86/lut_avx512.o: EXTRA_CXXFLAGS := -mf16c -mfma -mavx512f -mavx512cd -mavx512vl -mavx512bw -mavx512dq -mtune=skylake-avx512
  MY_CPPFLAGS := -DCUBE_X86 $(MY_CPPFLAGS)
endif

all: vscube.so

benchmark/benchmark: benchmark/main.o $(timecube_OBJS)
	$(CXX) $(MY_LDFLAGS) $^ $(MY_LIBS) -o $@

vscube.so: vscube/vscube.o vsxx/vsxx_pluginmain.o $(timecube_OBJS)
	$(CXX) -shared $(MY_LDFLAGS) $^ $(MY_LIBS) -o $@

clean:
	rm -f *.a *.o *.so benchmark/benchmark benchmark/*.o timecube/*.o timecube/x86/*.o vscube/*.o vsxx/*.o

%.o: %.cpp $(timecube_HDRS) $(vsxx_HDRS)
	$(CXX) -c $(EXTRA_CXXFLAGS) $(MY_CXXFLAGS) $(MY_CPPFLAGS) $< -o $@

.PHONY: clean

## timecube-dmo 3

=== debian/changelog ===
timecube-dmo (3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Sep 2020 07:48:20 +0200

timecube-dmo (2a-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Mar 2019 14:49:29 +0100

=== debian/control ===
Source: timecube-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sekrit-twc/timecube
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), vapoursynth-dev

Package: vapoursynth-timecube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: Simultaneous 4-day time cube
 When the Sun shines upon Earth, 2 – major Time points are created on
 opposite sides of Earth – known as Midday and Midnight. Where the 2 major
 Time forces join, synergy creates 2 new minor Time points we recognize as
 Sunup and Sundown. The 4-equidistant Time points can be considered as Time
 Square imprinted upon the circle of Earth. In a single rotation of the
 Earth sphere, each Time corner point rotates through the other 3-corner
 Time points, thus creating 16 corners, 96 hours and 4-simultaneous 24-hour
 Days within a single rotation of Earth – equated to a Higher Order of Life
 Time Cube.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

	dh_install vscube.so /usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth

override_dh_installdocs:
	dh_installdocs README.md

=== debian/watch ===
version=4

https://github.com/sekrit-twc/timecube/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@

## timecube-dmo 3.1

=== debian/changelog ===
timecube-dmo (3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Jan 2022 20:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sekrit-twc/timecube
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), vapoursynth-dev
 
 Package: vapoursynth-timecube

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+
+# Needed
+# git clone https://github.com/sekrit-twc/vsxx/tree/ac2ba81f85a5acf9bb38ec1663b4b41927855705
 
 %:
 	dh $@

=== debian/watch ===
version=4

https://github.com/sekrit-twc/timecube/tags \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
